Loading...
Searching...
No Matches
etl::random_pcg Class Reference

`#include <random.h>`

## Public Member Functions

| random_pcg (uint32_t seed)
void | initialise (uint32_t seed)
uint32_t | operator() ()
| Get the next random_lsfr number.
uint32_t | range (uint32_t low, uint32_t high)
| Get the next random_lsfr number in a specified inclusive range.

## Detailed Description

A 32 bit random number generator. Uses a permuted congruential generator calculation. https://en.wikipedia.org/wiki/Permuted_congruential_generator

## Constructor & Destructor Documentation

## random_pcg()

etl::random_pcg::random_pcg | ( | uint32_t | seed | ) |

inline

Constructor with seed value.

Parameters

  seed | The new seed value.

## Member Function Documentation

## initialise()

void etl::random_pcg::initialise | ( | uint32_t | seed | ) |

inline

Initialises the sequence with a new seed value.

Parameters

  seed | The new seed value.

The documentation for this class was generated from the following file:

- include/etl/random.h